Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 06-05-2021 09:53:39

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

[RÉSOLU] Problème avec v4l2loopback-dkms

Bonjour à tous,

J'essaie d'installer une application qui s'appelle iriun webcam. C'est super pratique car ça transforme ton smartphone en webcam.

J'ai trouvé une version pour Ubuntu.

A l'installation j'ai eu une erreur : il manquait une dépendance v4l2loopback.

J'ai donc installé cette dépendance et réinstallé iriun et quand je le lance il me demande :

you may want to run : sudo modprobe v4l2loopback exclusive_caps=1

Alors je fais la commande

sudo modprobe v4l2loopback exclusive_caps=1


modprobe: FATAL: Module v4loopback not found in directory /lib/modules/4.19.0-14-amd64
 



Et là je ne sais pas comment m'en sortir avec ça. Jai cherché ce message d'erreur sur google, mais je n'ai rien trouvé de très inspirant.

Pouvez-vous m'aider ?

Merci,
Jet

Dernière modification par jettero (06-05-2021 11:42:56)

En ligne

#2 06-05-2021 10:22:55

raleur
Membre
Inscription : 03-10-2014

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

C'est étonnant que la commande contienne "v4l2loopback" et le message d'erreur mentionne "v4loopback".
Qu'est-ce que ça affiche si tu tapes "modinfo v4l" suivi de la touche "tab" pour afficher la liste des modules présents dont le nom commence par v4l ?

Il vaut mieux montrer que raconter.

Hors ligne

#3 06-05-2021 10:55:01

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

hum, bien vu ! Je n'avais pas noté cette petite différence.

Quand j'ai fait modinfo v4l" je n'ai pas obtenu de v4l2loopback. J'ai donc présumé que ce n'était pas installé, ou bien installé.

Bon du coup, j'ai tout désinstallé : iriun webcam et v4l2loopback (-dkms, -utils, -source)

J'ai réinstallé iriun et j'ai eu le message qu'il manquait cette dépendance : v4l2loopback

J'ai donc installé et voici ce que j'obtiens :


apt-get install v4l2loopback-dkms


root@deb-home:/home/maurizio/Téléchargements# apt-get install v4l2loopback-dkms
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libv4l2rds0 linux-image-4.19.0-13-amd64 module-assistant v4l-utils
Veuillez utiliser « apt autoremove » pour les supprimer.
Paquets suggérés :
  v4l2loopback-utils
Les NOUVEAUX paquets suivants seront installés :
  v4l2loopback-dkms
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/34.6 ko dans les archives.
Après cette opération, 115 ko d'espace disque supplémentaires seront utilisés.
Sélection du paquet v4l2loopback-dkms précédemment désélectionné.
(Lecture de la base de données... 530585 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../v4l2loopback-dkms_0.12.1-1_all.deb ...
Dépaquetage de v4l2loopback-dkms (0.12.1-1) ...
Paramétrage de v4l2loopback-dkms (0.12.1-1) ...
Loading new v4l2loopback-0.12.1 DKMS files...
Building for 4.19.0-14-amd64 4.19.0-16-amd64
Module build for kernel 4.19.0-14-amd64 was skipped since the
kernel headers for this kernel does not seem to be installed.
Building initial module for 4.19.0-16-amd64
Done.

v4l2loopback.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.19.0-16-amd64/updates/dkms/

depmod...
Job for systemd-modules-load.service failed because the control process exited with error code.
See "systemctl status systemd-modules-load.service" and "journalctl -xe" for details.

DKMS: install completed.
Paramétrage de iriunwebcam (2.4) ...
modprobe: FATAL: Module v4l2loopback not found in directory /lib/modules/4.19.0-14-amd64
 

En ligne

#4 06-05-2021 11:07:43

jpt
Banni(e)
Distrib. : Debian 10.8
Noyau : Linux 5.7.10 (backports)
(G)UI : LXDE
Inscription : 12-09-2020

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

Salut,

en regardant juste ça (fin de ton post) :

jettero a écrit :

...
   - Installing to /lib/modules/4.19.0-16-amd64/updates/dkms/

depmod...
Job for systemd-modules-load.service failed because the control process exited with error code.
See "systemctl status systemd-modules-load.service" and "journalctl -xe" for details.

DKMS: install completed.
Paramétrage de iriunwebcam (2.4) ...
modprobe: FATAL: Module v4l2loopback not found in directory /lib/modules/4.19.0-14-amd64

on pourrait envisager qu'il manque simplement dans /lib/modules/4.19.0-14-amd64 un raccourci vers le .ko installé dans ...-amd64/updates/dkms.

Mais fais-nous donc voir le contenu des messages, comme indiqué au milieu de la citation.

Dernière modification par jpt (06-05-2021 11:08:23)


AMD Ryzen3 3200G sur Gigabyte B450M & Make Love Not War

Hors ligne

#5 06-05-2021 11:16:30

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

Oui voilà ce que me renvoie la commande :

modinfo v4l2-


v4l2-common      v4l2-dv-timings  v4l2-fwnode      v4l2-tpg  

En ligne

#6 06-05-2021 11:19:02

raleur
Membre
Inscription : 03-10-2014

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

jettero a écrit :

Building for 4.19.0-14-amd64 4.19.0-16-amd64
Module build for kernel 4.19.0-14-amd64 was skipped since the
kernel headers for this kernel does not seem to be installed.
Building initial module for 4.19.0-16-amd64
Done.


Tu as deux noyaux, -14 et -16. Il manque les en-têtes pour le -14 (linux-headers-4.19.0-14-amd64) donc le module ne peut pas être compilé pour cette version. Or c'est apparemment le noyau -14 qui tourne. Est-ce normal et voulu ?


Il vaut mieux montrer que raconter.

Hors ligne

#7 06-05-2021 11:22:53

jpt
Banni(e)
Distrib. : Debian 10.8
Noyau : Linux 5.7.10 (backports)
(G)UI : LXDE
Inscription : 12-09-2020

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

raleur a écrit :

Tu as deux noyaux, -14 et -16.

Bien vu ! (c'est le cas de le dire : je ne l'ai absolument pas vu…)


AMD Ryzen3 3200G sur Gigabyte B450M & Make Love Not War

Hors ligne

#8 06-05-2021 11:23:29

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

Je n'en ai aucune idée ! Et je ne sais pas comment et pourquoi j'ai deux noyaux ! scratchhead.gif

Heuu... comment puis-je mettre de l'ordre du coup ?

En ligne

#9 06-05-2021 11:30:01

raleur
Membre
Inscription : 03-10-2014

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

Je pourrais suggérer d'installer les en-têtes du -14 mais cette version est obsolète et plus maintenue.

Tu as deux noyaux parce que Debian stable fournit régulièrement un nouveau noyau et conserve un ou deux noyaux précédents. Par contre la configuration /boot/grub/grub.cfg de GRUB devrait automatiquement être mise à jour et le plus récent devrait être en premier et par défaut dans le menu de GRUB.

Mettre à jour le menu de GRUB et vérifier les noyaux pris en compte avec "update-grub".

S'il y a du multiboot sur cette machine et que le GRUB qui se lance n'est pas celui de cette installation, il faut le mettre à jour aussi : booter dans son OS maître et exécuter update-grub.

Il vaut mieux montrer que raconter.

Hors ligne

#10 06-05-2021 11:38:22

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

Merci pour ta suggestion.

J'ai éxécuté la commande :

update-grub


Création du fichier de configuration GRUB…
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Image Linux trouvée : /boot/vmlinuz-4.19.0-16-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.19.0-16-amd64
Image Linux trouvée : /boot/vmlinuz-4.19.0-14-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.19.0-14-amd64
Image Linux trouvée : /boot/vmlinuz-4.19.0-13-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.19.0-13-amd64
Windows 10 trouvé sur /dev/sda1
fait
 



Il semble que ce soit correct non ?

En ligne

#11 06-05-2021 11:42:29

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

Je confirme !

Merci infiniment pour l'aide, c'était bien ça le problème. Cette fois iriun fonctionne !

Vous êtes décidément trop forts !

Merci encore,
Jet

En ligne

#12 06-05-2021 11:45:32

raleur
Membre
Inscription : 03-10-2014

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

Oui. Il y a même un troisième noyau que dkms n'a pas listé. Il se limite peut-être au noyau actif et au noyau le plus récent.

Pas d'autre distribution installée, donc c'est forcément ce GRUB qui s'affiche au démarrage ?
Vérifie si /etc/default/grub contient GRUB_DEFAULT=0.
Au prochain démarrage, vérifie avec la touche "e" si l'entrée de menu par défaut (la première) charge le noyau -16. Sinon va dans le sous-menu "options avancées" et vérifie si le -16 est bien présent.

Il vaut mieux montrer que raconter.

Hors ligne

#13 06-05-2021 13:12:43

raleur
Membre
Inscription : 03-10-2014

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

C'est quand même surprenant que le menu de GRUB n'ait pas été mis à jour automatiquement lors de l'installation du noyau -16. A moins que tu n'aies pas redémarré depuis cette installation ?

Il vaut mieux montrer que raconter.

Hors ligne

#14 06-05-2021 13:34:22

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux Bullseye
Noyau : Linux 5.10.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RÉSOLU] Problème avec v4l2loopback-dkms

Oui je reconnais que c'est étrange ! J'ai fait une mise à jour ce matin, mais je n'ai pas le souvenir d'une mise à jour du noyau.

Bon, suis aller voir le contenu de Grub au démarrage.

Il dit bien :

linux  /boot/vmlinz-4.19.0-16-amd64

Donc à priori il démarre cette fois bien sur le bon noyau.

En ligne

Pied de page des forums